Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri.http
Class BaseFetcher

    java.lang.Object
      org.openxri.http.BaseFetcher

Direct Known Subclasses:
  Resolver

    public abstract class BaseFetcher

extends java.lang.Object

This class provides an abstract base class for X2RFetcher and Resolver. It provides members for storing SSL and redirect information.

Author:
  =chetan

Field Summary
`static java.lang.String` | `HTTP`
`static java.lang.String` | `HTTPS`
`protected int` | `maxFollowRedirects` the maximum number of HTTP redirects to follow.
`protected javax.net.ssl.SSLSocketFactory` | `moSocketFactory` the SSL socket factory to use

Constructor Summary
`protected` | `BaseFetcher()` Default constructor

Method Summary
`int` | `getMaxFollowRedirects()` Returns the number of redirects to follow.
`javax.net.ssl.SSLSocketFactory` | `getSSLSocketFactory()` Gets the SSL SocketFactory being used
`void` | `setMaxFollowRedirects(int nMaxFollowRedirects)` Sets the number of redirects to follow.
`void` | `setSSLSocketFactory(javax.net.ssl.SSLSocketFactory oSocketFactory)` Sets the SSL SocketFactory to use

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP

    public static final java.lang.String HTTP

See Also:
  Constant Field Values

### HTTPS

    public static final java.lang.String HTTPS

See Also:
  Constant Field Values

### maxFollowRedirects

    protected int maxFollowRedirects

  the maximum number of HTTP redirects to follow. Zero means not following any HTTP redirect.

### moSocketFactory

    protected javax.net.ssl.SSLSocketFactory moSocketFactory

  the SSL socket factory to use

Constructor Detail

### BaseFetcher

    protected BaseFetcher()

  Default constructor

Method Detail

### getSSLSocketFactory

    public javax.net.ssl.SSLSocketFactory getSSLSocketFactory()

  Gets the SSL SocketFactory being used

### setSSLSocketFactory

    public void setSSLSocketFactory(javax.net.ssl.SSLSocketFactory oSocketFactory)

  Sets the SSL SocketFactory to use

### getMaxFollowRedirects

    public int getMaxFollowRedirects()

  Returns the number of redirects to follow. -breakiterator 0 or less indicates no redirects.

### setMaxFollowRedirects

    public void setMaxFollowRedirects(int nMaxFollowRedirects)

  Sets the number of redirects to follow. -breakiterator 0 or less indicates no redirects.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.